- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CWaveCycle Class Reference

Inheritance diagram for Exponent::GUI::Controls::CWaveCycle:

List of all members.

## Detailed Description

Cyclic wave display.

Displays a cycle wave display

Date:
  08/10/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CWaveCycle.hpp,v 1.5 2007/02/08 21:07:54 paul Exp

Definition at line 36 of file CWaveCycle.hpp.

## Public Member Functions

- CWaveCycle (IControlRoot *root, const long uniqueId, const CRect &area)
- virtual void drawControl (CGraphics &graphics)
- void setNextValue (const double value)
- virtual ~CWaveCycle ()

## Protected Attributes

- long m_position
- CPolygon m_wave

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CWaveCycle::CWaveCycle | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The id of the control
  | area | The size of the control

virtual Exponent::GUI::Controls::CWaveCycle::~CWaveCycle | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CWaveCycle::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the control

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

void Exponent::GUI::Controls::CWaveCycle::setNextValue | ( | const double | value | ) |

Set the next value

Parameters:

  | value | The value to add to the value cycle

## Member Data Documentation

long Exponent::GUI::Controls::CWaveCycle::m_position`[protected]`

The position in the waveform

Definition at line 81 of file CWaveCycle.hpp.

CPolygon Exponent::GUI::Controls::CWaveCycle::m_wave`[protected]`

The waveform

Definition at line 80 of file CWaveCycle.hpp.